Skip to content

Archive

GET/api/v1.1/archive/list

List archived posts

Pixelfed only User token Scope read

Query parameters

cursorstring

Returns

curl "https://pixelfed.social/api/v1.1/archive/list" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
{
  "data": [{
    "id": "728341901556629504",
    "shortcode": "kG7vQ2pX",
    "url": "https://pixelfed.social/p/dansup/728341901556629504",
    "content": "Golden hour at the pier",
    "content_text": "Golden hour at the pier",
    "created_at": "2026-09-14T17:42:10.000Z",
    "visibility": "archived",
    "pf_type": "photo",
    "favourites_count": 212,
    "reply_count": 9,
    "media_attachments": [{
      "id": "728341067224219648",
      "type": "image",
      "url": "https://pixelfed.social/storage/m/_v2/2/pier.jpg"
    }],
    "account": {
      "id": "2",
      "username": "dansup",
      "acct": "dansup"
    }
  }],
  "links": {
    "first": null,
    "last": null,
    "prev": null,
    "next": "https://pixelfed.social/api/v1.1/archive/list?cursor=eyJpZCI6NzI4MzQxOTAxNTU2NjI5NTA0fQ"
  },
  "meta": {
    "path": "https://pixelfed.social/api/v1.1/archive/list",
    "per_page": 10,
    "next_cursor": "eyJpZCI6NzI4MzQxOTAxNTU2NjI5NTA0fQ",
    "prev_cursor": null
  }
}
POST/api/v1.1/archive/add/{id}

Archive a post

Pixelfed only User token Scope write

Path parameters

idstringrequired

Returns

curl -X POST "https://pixelfed.social/api/v1.1/archive/add/728341901556629504" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
[200]
POST/api/v1.1/archive/remove/{id}

Unarchive a post

Pixelfed only User token Scope write

Path parameters

idstringrequired

Returns

curl -X POST "https://pixelfed.social/api/v1.1/archive/remove/728341901556629504" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
[200]
Pixelfed is free and open source software. Edit this page Report a docs issue